AIQResourceVisitor (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AIQResourceVisitor interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Interface AIQResourceVisitor

All Known Implementing Classes:
  AIQRV_approve, AIQRV_defer, AIQRV_ignore, AIQRV_purge, AIQRV_unignore

    public interface AIQResourceVisitor

Method Summary
`void` | `visitIp(AIIp aiip, AuthzSubject subject, org.hyperic.hq.appdef.shared.PlatformManagerLocal pmLocal)`
`void` | `visitPlatform(AIPlatform aiplatform, AuthzSubject subject, org.hyperic.hq.appdef.shared.PlatformManagerLocal pmLocal, org.hyperic.hq.appdef.shared.ConfigManagerLocal configMgr, org.hyperic.hq.appdef.shared.CPropManagerLocal cpropMgr, java.util.List createdResources)`
`void` | `visitServer(AIServer aiserver, AuthzSubject subject, org.hyperic.hq.appdef.shared.PlatformManagerLocal pmLocal, org.hyperic.hq.appdef.shared.ServerManagerLocal smLocal, org.hyperic.hq.appdef.shared.ConfigManagerLocal configMgr, org.hyperic.hq.appdef.shared.CPropManagerLocal cpropMgr, java.util.List createdResources)`

Method Detail

### visitPlatform

    void visitPlatform(AIPlatform aiplatform,
                       AuthzSubject subject,
                       org.hyperic.hq.appdef.shared.PlatformManagerLocal pmLocal,
                       org.hyperic.hq.appdef.shared.ConfigManagerLocal configMgr,
                       org.hyperic.hq.appdef.shared.CPropManagerLocal cpropMgr,
                       java.util.List createdResources)
                       throws AIQApprovalException,
                              PermissionException

  Throws:
    `AIQApprovalException`
    `PermissionException`

### visitIp

    void visitIp(AIIp aiip,
                 AuthzSubject subject,
                 org.hyperic.hq.appdef.shared.PlatformManagerLocal pmLocal)
                 throws AIQApprovalException,
                        PermissionException

  Throws:
    `AIQApprovalException`
    `PermissionException`

### visitServer

    void visitServer(AIServer aiserver,
                     AuthzSubject subject,
                     org.hyperic.hq.appdef.shared.PlatformManagerLocal pmLocal,
                     org.hyperic.hq.appdef.shared.ServerManagerLocal smLocal,
                     org.hyperic.hq.appdef.shared.ConfigManagerLocal configMgr,
                     org.hyperic.hq.appdef.shared.CPropManagerLocal cpropMgr,
                     java.util.List createdResources)
                     throws AIQApprovalException,
                            PermissionException

  Throws:
    `AIQApprovalException`
    `PermissionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.